# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/04/20 20:47:53-04:00 len.brown@intel.com 
#   [ACPI] Delete IRQ2 "cascade" in ACPI IOAPIC mode
#   no such concept exists in ACPI, frees IRQ2 for use.
# 
# arch/x86_64/kernel/i8259.c
#   2004/04/20 20:45:01-04:00 len.brown@intel.com +3 -1
#   ACPI Delete IRQ2 "cascade" in ACPI IOAPIC mode.
# 
# arch/i386/kernel/i8259.c
#   2004/04/20 20:45:01-04:00 len.brown@intel.com +3 -1
#   ACPI Delete IRQ2 "cascade" in ACPI IOAPIC mode.
# 
diff -Nru a/arch/i386/kernel/i8259.c b/arch/i386/kernel/i8259.c
--- a/arch/i386/kernel/i8259.c	Tue Apr 20 20:47:56 2004
+++ b/arch/i386/kernel/i8259.c	Tue Apr 20 20:47:56 2004
@@ -12,6 +12,7 @@
 #include <linux/init.h>
 #include <linux/kernel_stat.h>
 
+#include <asm/acpi.h>
 #include <asm/atomic.h>
 #include <asm/system.h>
 #include <asm/io.h>
@@ -498,7 +499,8 @@
 	outb(LATCH >> 8 , 0x40);	/* MSB */
 
 #ifndef CONFIG_VISWS
-	setup_irq(2, &irq2);
+	if (!acpi_ioapic)
+		setup_irq(2, &irq2);
 #endif
 
 	/*
diff -Nru a/arch/x86_64/kernel/i8259.c b/arch/x86_64/kernel/i8259.c
--- a/arch/x86_64/kernel/i8259.c	Tue Apr 20 20:47:56 2004
+++ b/arch/x86_64/kernel/i8259.c	Tue Apr 20 20:47:56 2004
@@ -13,6 +13,7 @@
 #include <linux/init.h>
 #include <linux/kernel_stat.h>
 
+#include <asm/acpi.h>
 #include <asm/atomic.h>
 #include <asm/system.h>
 #include <asm/io.h>
@@ -439,6 +440,7 @@
 #endif
 
 #ifndef CONFIG_VISWS
-	setup_irq(2, &irq2);
+	if (!acpi_ioapic)
+		setup_irq(2, &irq2);
 #endif
 }
